%define dist WWW-Bugzilla
Name: perl-%dist
Version: 0.6
Release: alt1

Summary: Submit and update bugzilla bugs
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

Patch1: %name-0.4-alt-use_ssl.patch
Patch2: %name-0.4-alt-matchstr.patch

BuildArch: noarch

# Added by buildreq2 on Wed Jun 07 2006
BuildRequires: perl-Class-MethodMaker perl-WWW-Mechanize perl-devel

%description
This module provides a perl API for adding and updating Bugzilla bugs.
It can be useful in writing custom frontends to a Bugzilla server, and
the frontends do not have to sit on the same server as long as they can
reach it via HTTP.

%prep
%setup -q -n %dist-%version
%patch1 -p1
%patch2 -p1

%build
%def_without test
%perl_vendor_build

# test
perl -Mblib -MWWW::Bugzilla -e1

%install
%perl_vendor_install

%files
%doc README Changes
%dir %perl_vendor_privlib/WWW
%perl_vendor_privlib/WWW/Bugzilla.pm

%changelog
* Wed Jun 07 2006 Alexey Tourbin <at@altlinux.ru> 0.6-alt1
- 0.4 -> 0.6
- alt-assigned_to.patch merged upstream (cpan #6603)

* Thu Jun 16 2005 Alexey Tourbin <at@altlinux.ru> 0.4-alt1
- initial revision
- fixed the bug "assigned_to has already been installed" (cpan #6603)
- fixed the bug "Can't locate object method use_ssl" (cpan #13262)
- added support for "matchstr" input field (cpan #13263)
